
/***        allergen table        ***/

CREATE TABLE ALLERGEN(
    ALLERGENNR          INTEGER NOT NULL,
    `NAME`              VARCHAR(50) NOT NULL
);

CREATE TABLE REZEPTALLERGEN(
    REZEPTNR            INTEGER NOT NULL,
    ALLERGENNR          INTEGER NOT NULL
);

-- primary keys

ALTER TABLE ALLERGEN ADD PRIMARY KEY (ALLERGENNR);
ALTER TABLE REZEPTALLERGEN ADD PRIMARY KEY (REZEPTNR, ALLERGENNR);

-- foreign keys

ALTER TABLE REZEPTALLERGEN ADD FOREIGN KEY (REZEPTNR) REFERENCES REZEPT (REZEPTNR);
ALTER TABLE REZEPTALLERGEN ADD FOREIGN KEY (ALLERGENNR) REFERENCES ALLERGEN (ALLERGENNR);
